- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoArchive< EOT > Class Template Reference

An archive is a secondary population that stores non-dominated solutions. More...

`#include <moeoArchive.h>`

Inheritance diagram for moeoArchive< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | EOFitness
| The fitness type of a solution.
## Public Member Functions
bool | dominates (const EOFitness &_fit) const
| Returns true if the current archive dominates _fit.
bool | contains (const EOFitness &_fit) const
| Returns true if the current archive contains _fit.
void | update (const EOT &_eo)
| Updates the archive with a given individual _eo.
void | update (const eoPop< EOT > &_pop)
| Updates the archive with a given population _pop.

## Detailed Description

### template<class EOT>
class moeoArchive< EOT >

An archive is a secondary population that stores non-dominated solutions.

Definition at line 21 of file moeoArchive.h.

## Member Function Documentation

template<class EOT>
bool moeoArchive< EOT >::dominates | ( | const EOFitness & | _fit | ) | const`[inline]`

  | Returns true if the current archive dominates _fit. Parameters:
  | _fit | the (Pareto) fitness to compare with the current archive
Definition at line 39 of file moeoArchive.h.

template<class EOT>
bool moeoArchive< EOT >::contains | ( | const EOFitness & | _fit | ) | const`[inline]`

  | Returns true if the current archive contains _fit. Parameters:
  | _fit | the (Pareto) fitness to search within the current archive
Definition at line 51 of file moeoArchive.h.

template<class EOT>
void moeoArchive< EOT >::update | ( | const EOT & | _eo | ) | `[inline]`

  | Updates the archive with a given individual _eo. Parameters:
  | _eo | the given individual
Definition at line 63 of file moeoArchive.h.

template<class EOT>
void moeoArchive< EOT >::update | ( | const eoPop< EOT > & | _pop | ) | `[inline]`

  | Updates the archive with a given population _pop. Parameters:
  | _pop | the given population
Definition at line 98 of file moeoArchive.h.

The documentation for this class was generated from the following file:

- moeoArchive.h